Bug 447366 - Review Request: python-virtkey
Review Request: python-virtkey
Status: CLOSED DUPLICATE of bug 445454
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-19 13:40 EDT by jmccann
Modified: 2015-01-14 18:21 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-21 23:39:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mclasen: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Comment 1 Matthias Clasen 2008-05-19 23:36:39 EDT
Had to add a BuildRequires for libXtst-devel to make it build in mock

Warnings from rpmlint:

rpmlint /var/lib/mock/fedora-9-i386/result/python-virtkey-0.50-1.fc9.i386.rpm 
python-virtkey.i386: W: no-documentation
python-virtkey.i386: E: non-standard-executable-perm
/usr/lib/python2.5/site-packages/virtkey.so 0775

Nothing to do about the nonexisting docs, but the permissions should be fixed to
0755

package name: ok
spec file name: ok
packaging guidelines: ok, but
  - the explicit requires on gtk2 is unnecessary, and should be dropped 
license: ok
license field: ok
license file: ok
spec file language: ok
spec file legibility: ok
upstream source: ok
buildable: yes
ExcludeArch: n/a
BuildRequires; need to add libXtst-devel
locale handling: ok
ldconfig: n/a
relocatable: n/a
directory ownership: ok
duplicate files: ok
file permissions: see above
%clean: ok
macro use: ok
permissible content: ok
large docs: n/a
%doc content: ok
headers: n/a
static libs: n/a
pkgconfig files: n/a
shared libs: n/a
-devel package: n/a
libtool archives: ok
gui app: ok
%install: ok
utf8 filenames: ok




Comment 2 Parag AN(पराग) 2008-05-20 00:33:32 EDT
Package already submitted to fedora check
https://bugzilla.redhat.com/show_bug.cgi?id=445454
Comment 3 jmccann 2008-05-20 11:06:55 EDT
Ok, update files in place.  Thanks.
Comment 4 Matthias Clasen 2008-05-20 12:05:26 EDT
Re: comment 2, the packages are virtually identical, so I'm going to approve
this one anyway. I'm sure Jon will be happy to make sindrepb@fedoraproject.org
comaintainer or even the main maintainer of this package...


Approved.
Comment 5 Parag AN(पराग) 2008-05-21 03:42:14 EDT
mclasen,
I think we use first come first serve policy. So I have seen that first package
always gets priority and second one will get closed as duplicate.

I even can't see any comment from you to Sindre's Package review ticket. 
Comment 6 Parag AN(पराग) 2008-05-21 04:27:59 EDT
This package is failed in koji build.
look http://koji.fedoraproject.org/koji/taskinfo?taskID=622125
Comment 7 Matthias Clasen 2008-05-21 08:55:01 EDT
Suits me well for reviewing python packages, I guess...

Looking at setup.py, this is obviously not going to fly:

from distutils.core import setup, Extension
setup(name="virtkey",
      ext_modules=[Extension("virtkey",
               
["python-virtkey.c","ucs2keysym.c"],include_dirs=['/usr/include/gtk-2.0',
'/usr/include/glib-2.0', '/usr/lib/glib-2.0/include', '/usr/include/pango-1.0',
'/usr/lib/gtk-2.0/include', '/usr/include/cairo'],
                libraries=["X11","Xtst","glib-2.0","gdk-x11-2.0"]
                )],
        version="0.01"
      )

I lack the python build foo to say how this would be done correctly. 
It just happens to work in mock on i386...
Comment 8 Matthias Clasen 2008-05-21 23:39:25 EDT
Ok, giving you the right of way here.

*** This bug has been marked as a duplicate of 445454 ***

Note You need to log in before you can comment on or make changes to this bug.